Bug 1436145 - samba-4.5.7-0.fc25.x86_64 breaks my smb-servers
Summary: samba-4.5.7-0.fc25.x86_64 breaks my smb-servers
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: samba
Version: 25
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Guenther Deschner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-03-27 09:57 UTC by Harald Reindl
Modified: 2017-04-02 20:55 UTC (History)
12 users (show)

Fixed In Version: samba-4.5.8-0.fc25
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-04-02 20:55:00 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Samba Project 12721 None None None 2017-03-27 11:26:38 UTC

Description Harald Reindl 2017-03-27 09:57:47 UTC
samba-4.5.6-0.fc25.x86_64: all is fine
samba-4.5.7-0.fc25.x86_64: broken

means i can authenticate, see my shares, can open my shares from Konqueror (KDE filebroswer) and files directly in the shares - but when i try to open a subfolder "file of folder smb://ip-addr/share/subfolder" don't exist

this is reproduceable by having a subfolder open, update samba on the server and just press F5 in the client
____________________________________________

[root@rh:~]$ cat /etc/samba/smb.conf 
[global]
 server string = rh.thelounge.net
 netbios name = rh
 smb ports = 445 139
 socket options = TCP_NODELAY IPTOS_LOWDELAY SO_KEEPALIVE

 hosts allow = 127.0.0.0/8 192.168.196.0/24 192.168.1.0/24 192.168.2.0/24 192.168.3.0/24 192.168.4.0/24 192.168.5.0/24 10.0.0.0/24
 hosts deny = all
 hide files = /.AppleDesktop/.AppleDouble/.Parent/desktop.ini/$RECYCLE.BIN/
 veto files = /.AppleDesktop/.AppleDouble/.Parent/desktop.ini/$RECYCLE.BIN/
 delete veto files = yes

 access based share enum = yes
 hide unreadable = yes
 inherit permissions = yes
 inherit acls = yes
 nt acl support = no
 browseable = yes
 writeable = yes
 guest ok = no
 wide links = no
 follow symlinks = no
 oplocks = no
 level2 oplocks = no
 vfs objects = catia fruit streams_xattr

 workgroup = LOUNGE
 lm announce = no
 lanman auth = no
 ntlm auth = no
 client lanman auth = no
 client ntlmv2 auth = yes
 client signing = auto
 server signing = auto
 security = user
 restrict anonymous = 2
 invalid users = nobody root admin administrator guest gast pcguest anonymous
 log file = /var/log/samba/samba.log
 log level = 1 auth:2 passdb:2 tdb:1 vfs:1 smb:1 locking:1 sam:1 winbind:1 idmap:1 quota:1 acls:0 msdfs:1 dmapi:1 registry:1 printdrivers:0 lanman:0 rpc_parse:0 rpc_srv:0 rpc_cli:0
 max log size = 4096
 os level = 0
 domain master = no
 preferred master = no
 local master = no
 disable netbios = yes
 wins support = no
 browse list = no
 dns proxy = no
 multicast dns register = no
 name resolve order = hosts bcast
 max smbd processes = 50
 use sendfile = yes
 read raw = yes
 write raw = yes
 getwd cache = yes
 stat cache = yes
 max stat cache size = 256
 ldap ssl = no
 time server = no
 unix extensions = no
 show add printer wizard = no
 load printers = no
 printable = no
 printing = bsd
 printcap name = /dev/null

[audio]
 comment = Musik-Archiv
 path = /mnt/data/audio
 valid users = harry, claus, flow, ingo, paul
 writeable = no
____________________________________________

[root@rh:~]$ cat /etc/systemd/system/smb.service
[Unit]
Description=Samba SMB Daemon

[Service]
Type=forking
LimitNOFILE=32768
ExecStart=/usr/sbin/smbd -D
ExecReload=/usr/bin/kill -HUP $MAINPID
Restart=always
RestartSec=1
Nice=19
PrivateTmp=yes
PrivateDevices=yes
CapabilityBoundingSet=CAP_CHOWN CAP_SETGID CAP_SETUID CAP_DAC_OVERRIDE CAP_KILL CAP_NET_BIND_SERVICE CAP_IPC_LOCK CAP_SYS_CHROOT
SystemCallFilter=~acct modify_ldt add_key adjtimex clock_adjtime delete_module fanotify_init finit_module get_mempolicy init_module io_destroy io_getevents iopl ioperm io_setup io_submit io_cancel kcmp kexec_load keyctl lookup_dcookie mbind migrate_pages mount move_pages open_by_handle_at perf_event_open pivot_root process_vm_readv process_vm_writev ptrace remap_file_pages request_key set_mempolicy swapoff swapon umount2 uselib vmsplice                                                                                                                                                                                                 
ReadOnlyDirectories=/etc                                                                                                                                                                                           
ReadOnlyDirectories=/usr                                                                                                                                                                                           
ReadOnlyDirectories=/var/lib                                                                                                                                                                                       
ReadWriteDirectories=/var/lib/samba                                                                                                                                                                                
ReadWriteDirectories=/usr/local                                                                                                                                                                                    
                                                                                                                                                                                                                   
InaccessibleDirectories=-/boot                                                                                                                                                                                     
InaccessibleDirectories=-/root                                                                                                                                                                                     
InaccessibleDirectories=-/etc/postfix                                                                                                                                                                              
InaccessibleDirectories=-/etc/ssh                                                                                                                                                                                  
InaccessibleDirectories=-/usr/local/scripts
InaccessibleDirectories=-/run/console
InaccessibleDirectories=-/run/dbus
InaccessibleDirectories=-/run/lock
InaccessibleDirectories=-/run/mount
InaccessibleDirectories=-/run/systemd/generator
InaccessibleDirectories=-/run/systemd/system
InaccessibleDirectories=-/run/systemd/users
InaccessibleDirectories=-/run/udev
InaccessibleDirectories=-/run/user
InaccessibleDirectories=-/var/lib/dbus
InaccessibleDirectories=-/var/lib/rpm
InaccessibleDirectories=-/var/lib/systemd
InaccessibleDirectories=-/var/lib/yum

InaccessibleDirectories=-/etc/httpd
InaccessibleDirectories=-/etc/pki/thelounge
InaccessibleDirectories=-/Volumes/dune/autobackups
InaccessibleDirectories=-/Volumes/dune/backups
InaccessibleDirectories=-/Volumes/dune/mountpoints
InaccessibleDirectories=-/Volumes/dune/mysql
InaccessibleDirectories=-/Volumes/dune/mysql_data
InaccessibleDirectories=-/Volumes/dune/mysql_replication
InaccessibleDirectories=-/Volumes/dune/mysql_tmp
InaccessibleDirectories=-/Volumes/dune/panel-backups

InaccessibleDirectories=-/data/backups
InaccessibleDirectories=-/data/fileserver/backups
InaccessibleDirectories=-/data/fileserver/vmware
InaccessibleDirectories=-/data/mysqldata
InaccessibleDirectories=-/data/mysqldata_dbmail
InaccessibleDirectories=-/data/_private/
InaccessibleDirectories=-/data/profiles
InaccessibleDirectories=-/data/scripts
InaccessibleDirectories=-/data/vmware
InaccessibleDirectories=-/mnt/data/backups
InaccessibleDirectories=-/mnt/data/fileserver/backups
InaccessibleDirectories=-/mnt/data/fileserver/vmware
InaccessibleDirectories=-/mnt/data/mysqldata
InaccessibleDirectories=-/mnt/data/mysqldata_dbmail
InaccessibleDirectories=-/mnt/data/_private/
InaccessibleDirectories=-/mnt/data/profiles
InaccessibleDirectories=-/mnt/data/scripts
InaccessibleDirectories=-/mnt/data/vmware

ReadOnlyDirectories=-/Volumes/dune/updateservice
ReadOnlyDirectories=-/Volumes/dune/www-servers/phpincludes
ReadOnlyDirectories=-/Volumes/dune/www-servers/phpincludes-orf
ReadOnlyDirectories=-/Volumes/dune/www-servers/phpincludes-orf-test
ReadOnlyDirectories=-/Volumes/dune/www-servers/thelounge.net/contentlounge/updateservice
ReadOnlyDirectories=-/data/www/thelounge.net/contentlounge/updateservice
ReadOnlyDirectories=-/mnt/data/www/thelounge.net/contentlounge/updateservice

ReadOnlyDirectories=-/data/audio
ReadOnlyDirectories=-/data/fileserver/yum-repo
ReadOnlyDirectories=-/mnt/data/audio
ReadOnlyDirectories=-/mnt/data/fileserver/yum-repo
ReadOnlyDirectories=-/Volumes/dune/buildserver

[Install]
WantedBy=multi-user.target

Comment 1 Harald Reindl 2017-03-27 10:28:02 UTC
https://bugzilla.samba.org/show_bug.cgi?id=12721
"follow symlinks = no" got broken

that's a big price for teh fix of a unlikely symlink related race-condition to allow symlinks at all now

Comment 2 Guenther Deschner 2017-03-27 11:25:09 UTC
Working on it, thanks for the report!

Comment 3 Jeremy Allison 2017-03-28 00:20:46 UTC
Fixes for this have been posted to Samba bug:

https://bugzilla.samba.org/show_bug.cgi?id=12721

Comment 4 Fedora Update System 2017-03-31 09:31:37 UTC
samba-4.5.8-0.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-c22a1dbe8b

Comment 5 Harald Reindl 2017-03-31 10:27:10 UTC
just updated from koji (https://koji.fedoraproject.org/koji/buildinfo?buildID=874401) and i can confirm this is fixed

Mar 31 12:25:31 Updated: 2:samba-common-4.5.8-0.fc25.noarch
Mar 31 12:25:32 Updated: 2:samba-client-libs-4.5.8-0.fc25.x86_64
Mar 31 12:25:32 Updated: 2:libwbclient-4.5.8-0.fc25.x86_64
Mar 31 12:25:32 Updated: 2:samba-common-libs-4.5.8-0.fc25.x86_64
Mar 31 12:25:32 Updated: 2:samba-libs-4.5.8-0.fc25.x86_64
Mar 31 12:25:32 Updated: 2:samba-common-tools-4.5.8-0.fc25.x86_64
Mar 31 12:25:32 Updated: 2:libsmbclient-4.5.8-0.fc25.x86_64
Mar 31 12:25:32 Updated: 2:samba-client-4.5.8-0.fc25.x86_64
Mar 31 12:25:33 Updated: 2:samba-4.5.8-0.fc25.x86_64

Comment 6 Guenther Deschner 2017-03-31 10:30:11 UTC
Thanks Harald for your patience and thanks for verifiying!

Comment 7 Fedora Update System 2017-04-01 01:51:52 UTC
samba-4.5.8-0.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-c22a1dbe8b

Comment 8 Fedora Update System 2017-04-02 20:55:00 UTC
samba-4.5.8-0.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.